* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Figtree', sans-serif;
}

body {
    background-color: hsl(47, 88%, 63%);
}

a {
    color: black;
    text-decoration: none;
}

a:hover {
    color: hsl(47, 88%, 63%);
}

.card-preview-container {
    width: 380px;
    height: 565px;
    border-radius: 20px;
    border: 1px solid black;
    box-shadow: 8px 8px 0px 0px black;
    background-color: white;
    padding: 1.2rem;
    margin: 3rem auto;
}

#thumbnail {
    display: flex;
    align-items: center;
    justify-content: center;
}

#thumbnail img {
    border-radius: 10px;
}

#preview-card-text {
    margin-top: 10px;
    margin-left: 5px;
}

#category {
    background-color: hsl(47, 88%, 63%);
    padding: 4px 12px;
    border-radius: 4px;
    width: 95px;
}

#publish-date {
    font-weight: 500;
    margin-top: 10px;
    margin-bottom: 10px;
}

#blog-post-title {
    font-size: 24px;
    font-weight: 800;
    margin-bottom: 16px;
}

#blog-post-description {
    font-size: 14px;
    font-weight: 500;
    line-height: 1.6;
    color: hsl(0, 0%, 42%);
    margin-bottom: 60px;
}

.blog-post-avatar-container {
    display: flex;
    align-items: center;
}

.blog-post-avatar-container img {
    width: 50px;
    height: 50px;
}
.blog-post-avatar-container h4 {
    margin-left: 16px;
    font-size: 14px;
    font-weight: 800;

}


/*

Media Queries

*/

@media screen and (max-width: 500px) {
    .card-preview-container {
        width: 90%;
        margin: 2rem auto;
    }

    #thumbnail img {
        width: 100%;
    }
}